Subject: Re: bug#42267: Fontification takes a long time when an equation contains a double prime

From: Najib Idrissi-Kaïtouni<[email-masked]>
Date: Thu, 9 Jul 2020 19:05:58 +0200

Hi,

Yes, this is much, much better with this patch. I don't experience any 
noticeable slowdown anymore, whether in the test file or in my "real 
world" file. Thanks!

Best regards,
Najib Idrissi

Le 09/07/2020 à 18:37, Ikumi Keita a écrit :
> Hi Najib,
>
>>>>>> Najib Idrissi <[email-masked]> writes:
>> Sure, see the attached file. As I said, it's a file filled with lipsum
>> with a single equation at the bottom.
>>> AUCTeX's fontification for math went through a bigger overhaul.  Please
>>> share the file and a recipe (preferably starting with `emacs -Q') how to
>>> trigger your obeservation, that would help a lot.
>> 1. Open the file and go to the equation at the bottom
>> 2. Notice that editing speed inside the equation is normal (e.g. hold
>>     the space bar inside the equation and notice that it goes at a
>>     normal speed)
>> 3. Add a double prime somewhere in the equation, e.g. after the 2 so
>>     that it becomes 1+1=2''
>> 4. Notice that now editing speed is degraded, for example hold the
>>     space bar at the end of the equation and notice that there is now a
>>     stutter. If your CPU is too fast and you don't notice the stutter,
>>     you can just copy more paragraphs of lipsum, I guess.
>> In my real life example (that I cannot share because the article in
>> question is not public yet) the slowdown is so bad that a single
>> keystroke inside an affected equation can take several seconds.
> Thank you for providing concrete example and procedure to reproduce. I
> experience the slowdown you described.
>
> The attached patch fixes, or at least reduces, the slowdown on my side.
> Could you check whether it works for you or not?
>
> Best Regards,
> Ikumi Keita
>